oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.
1387 Discussions

oneAPI 2023.2: Unable to Set Up the Installer

Viet-Duc
Novice
1,050 Views

Hi, 

When attempting to install the latest version of oneAPI, I encountered the following error: 

Please see attached files for the log files. 

error.png

OS:  CentOS Linux release 7.9.2009 (Core)

The issue seems to be due to quota of my home directory which I cannot change. 

bootstrapper.2023.08.07.10.26.42.913284.log:08/07/2023 10:26:48:411 : 6187 : ERROR : extractWithFilter: exception caught: extract::archive_read_extract failed with: -20; . Please check that destination directory has appropriate permissions and quota limit is not reached for the user.

Using the '--extract-folder' resulted in the following error: 

08/07/2023 10:26:05:640 : 5103 : MESSAGE : <Bootstrapper> >>> THE BOOTSTRAPPER IS LAUNCHED <<<
08/07/2023 10:26:05:640 : 5103 : MESSAGE : <Bootstrapper> Command line string: /scratch/optpar01/apps/src/oneAPI/2023.2.0/l_BaseKit_p_2023.2.0.49397_offline/bootstrapper --extract-folder=./
08/07/2023 10:26:05:641 : 5103 : MESSAGE : TranslationFile: Loaded file with translations /scratch/optpar01/apps/src/oneAPI/2023.2.0/l_BaseKit_p_2023.2.0.49397_offline/bootstrapper.en_US.qm for locale en_US
08/07/2023 10:26:05:641 : 5103 : MESSAGE : /scratch/optpar01/apps/src/oneAPI/2023.2.0/l_BaseKit_p_2023.2.0.49397_offline/bootstrapper is run with arguments: --extract-folder=./
08/07/2023 10:26:05:641 : 5103 : MESSAGE : CommandLineParserBase: Ignored unknown option '--extract-folder' with value './'.
08/07/2023 10:26:05:641 : 5103 : MESSAGE : CommandLineParser: all arguments parsed
08/07/2023 10:26:05:641 : 5103 : MESSAGE : Unknown option(s): --extract-folder
08/07/2023 10:26:05:641 : 5103 : MESSAGE : <Bootstrapper> >>> THE BOOTSTRAPPER FINISHED WITH CODE 3 <<<

 

Please kindly advise how to extract the installer to a scratch directory to circumvent quota issue. 

 

Regards.  

0 Kudos
4 Replies
ArpanB_Intel
Moderator
854 Views

Hi Viet-Duc, please share the below information with us:

 

- Full name of the Linux distribution on which you are installing the software

- Other versions of Intel® Parallel Studio XE or Intel® oneAPI already installed on your system

- Is the installer an online or an offline package?

- Screenshots of the error screen

- Installation Log files

The default path for a log file for a oneAPI installation is: opt/intel/oneapi/logs

The default path for a log file for a Parallel Studio XE installation is: /tmp/intel.pset.<user>.<machine>.<timestamp>.log

 

We would like to know.


0 Kudos
Viet-Duc
Novice
842 Views

Hi, I will address your question as follow

 

1. Full name of the Linux distribution on which you are installing the software

     -> Centos 7.9 

 

2.  Other versions of Intel® Parallel Studio XE or Intel® oneAPI already installed on your system

     -> There is no previous versions of oneAPI installed 

 

3.  Is the installer an online or an offline package?

     -> Both online and offline package give same error. 

 

4.  Screenshots of the error screen

    -> The screenshot is already included in my first post 

 

5. Installation Log files

    -> The log files are already attached in my first post. 

 

Thanks. 

0 Kudos
ArpanB_Intel
Moderator
836 Views

Viet-Duc, please note that Intel® oneAPI Base Toolkit 2023.2 is not supported on CentOS 7.9. We suggest you to install the toolkit on a supported OS platform.


For more information, please visit here: https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-base-toolkit-system-requirements.html


0 Kudos
ArpanB_Intel
Moderator
795 Views

Viet-Duc, unfortunately we were unable to hear back from you.



If you have any further queries, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply